using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class BusOwnersSelectByPk : DataAccessBase
	{
		public BusOwnersSelectByPk()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[BusOwnersSelectByPk]");
			ConfigParameter();
		}

		private SqlParameter paramID;
		public System.Int32 ID
		{
			get
			{
				return (System.Int32)paramID.Value;
			}
			set
			{
				paramID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramID = new SqlParameter();
			paramID.ParameterName = "@ID";
			paramID.SqlDbType = SqlDbType.Int;
			paramID.Precision = 10;
			paramID.Scale = 0;
			paramID.Direction = ParameterDirection.Input;
			paramID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramID);
		}
	}
}